angular.module('focaModalIva')
    .controller('focaModalIvaController', [
        '$timeout',
        '$filter',
        '$scope',
        '$uibModalInstance',
        'focaModalIvaService',
        'filters',
        function($timeout, $filter, $scope, $uibModalInstance, focaModalIvaService, filters) {

            $scope.filters = filters;
            $scope.ivas = [];

            focaModalIvaService.getIva().then(function(res) {
                $scope.ivas = res.data;
            });

            $scope.cancel = function() {
                $uibModalInstance.dismiss('cancel');
            };

            $scope.select = function(iva) {
                $uibModalInstance.close(iva);
            };
        }]
    );
